/* All content(c) 2016 - 2017 DigiPen(USA) Corporation, all rights reserved. */
/*****************************************************************************/
/*!
\file screen.vert
\author Connor Deakin
\par E-mail: connortdeakin\@gmail.com
\par Project: X-Craft
\brief
  This shader spans the entire screen that is being rendered to. The goal is
  that one texture will rendered to the entire display space. If you're
  interested in seeing how this shader gets initialized in the shader pipeline,
  I would reccomend going to ShaderPool.cpp / ShaderPool.h to begin your
  journey through the source code.
*/
/*****************************************************************************/
#version 330 core

// vertex and texture coordinates
in vec2 in_position;
in vec2 in_texCoord;

out vec2 texCoord;

void main()
{
  gl_Position = vec4(in_position, 0.0f, 1.0f);
  texCoord = in_texCoord;
}
